Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common.action.awt
Interface IItem

All Known Implementing Classes:
  FButton, FCheckBox, FCheckBoxMenuItem, FComboBox, FMenu, FMenuItem, FRadioButton, FRadioButtonMenuItem, FToggleButton

public interface IItem

Interface fuer ItemEvents. Hier wird die Schnittstelle zwischen Control und ActionManager fuer ItemEvents festgelegt.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2004
Author:
  Jens Homm JSYSTEMS

Method Summary
`void` | `addItemListener(ItemListener listener)` Fuegt dem Control den uebergebenen Listener als ItemListener hinzu.
`String` | `getActionClassForItem()` Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein ItemEvent ausgeloest wurde.
`void` | `removeItemListener(ItemListener listener)` Entfernt den Listener aus dem Control.
`void` | `setActionClassForItem(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein ItemEvent ausgeloest wurde.

Method Detail

### addItemListener

    public void addItemListener(ItemListener listener)

  Fuegt dem Control den uebergebenen Listener als ItemListener hinzu.

  Parameters:
    `listener` - Der hinzuzufuegende ItemListener.

### removeItemListener

    public void removeItemListener(ItemListener listener)

  Entfernt den Listener aus dem Control.

  Parameters:
    `listener` - Der zu entfernende Listener.

### getActionClassForItem

    public String getActionClassForItem()

  Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein ItemEvent ausgeloest wurde.

  Returns:
    Der Name der Actionklasse fuer ItemEvent.

### setActionClassForItem

    public void setActionClassForItem(String actionClassName)

  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein ItemEvent ausgeloest wurde.

  Parameters:
    `actionClassName` - Der Name der Actionklasse fuer ItemEvents.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD